group "FiniteDifferenceDerivativeParameters.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 3 elements
Defined: | globally in fpml-riskdef-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
perturbationAmount?, averaged?, perturbationType?

Content Model Elements (3):

  averaged, perturbationAmount, perturbationType

Known Usage Locations

- In definitions of other model groups (1):
  DerivativeCalculationParameters.model

Annotation
Parameters used in the computation of a derivative using numerical (finite difference) techniques.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="FiniteDifferenceDerivativeParameters.model"> <xsd:sequence> <xsd:element minOccurs="0" name="perturbationAmount" type="xsd:decimal"/> <xsd:element minOccurs="0" name="averaged" type="xsd:boolean"/> <xsd:element minOccurs="0" name="perturbationType" type="PerturbationType"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
averaged

  Type: | xsd:boolean, predefined, simple content

  The value is calculated by perturbing by the perturbationAmount and then the negative of the perturbationAmount and then averaging the two values (i.e. the value is half of the difference between perturbing up and perturbing down).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averaged" type="xsd:boolean"/>

perturbationAmount

  Type: | xsd:decimal, predefined, simple content

  The size and direction of the perturbation used to compute the derivative, e.g. 0.0001 = 1 bp.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="perturbationAmount" type="xsd:decimal"/>

perturbationType

  Type: | PerturbationType, simple content

  The type of perturbation, if any, used to compute the derivative (Absolute vs Relative).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="perturbationType" type="PerturbationType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.